<?
/*
Автор кода: -=MTV=-,Shot_(Robber),Allion,MarK
Официальный сайт поддержки: http://strongcms.ru
*/

$title = 'Загрузки';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id']) {
echo '<div class="title">Загрузки | Ошибка</div><div class="podmenu"><center><b><big>Для просмотра загруз-центра нужно авторизироваться!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

switch($_GET['act'])
{
default:

$dir['id'] = '0';
$dir['name'] = 'Загрузки';
$dir['id_dir'] = '0';
$dir['files'] = '0';

if(isset($_GET['dir'])) {

$direktor = abs(intval($_GET['dir']));

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `load_dir` WHERE `id` = '".$direktor."'"), 0) > 0) {
$dir = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_dir` WHERE `id` = '".$direktor."' LIMIT 1"));
}

}

if (isset($dir['url'])) $url = explode('/', $dir['url']);

echo '<div class="title">';

if($dir['id'] != 0) {
foreach($url as $num => $id) {
if($id != 0) {

$cat = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_dir` WHERE `id` = '". $id ."' LIMIT 1"));
} else {
$cat['id'] = '0';
$cat['name'] = 'Загрузки';
}

if($cat['id'] != 0)
echo ' | ';
echo "<a href='?dir=". $cat['id'] ."'>". $cat['name'] ."</a>";
}
echo ' | '.$dir['name'];
} else {
echo 'Загрузки';
}

echo '</div>';

if ($dir['files'] == 0) {

require_once ('panel.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_dir` WHERE `id_dir` = '".$dir['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$query = mysql_query("SELECT * FROM `load_dir` WHERE `id_dir` = '".$dir['id']."' ORDER BY `id` DESC LIMIT $start, $max");
while ($folder = mysql_fetch_assoc($query))
{
echo '<div class="podmenu"><img width="16" heaght="16" src="'.$HOME.'/files/load_icon/'.$folder['icon'].'"alt="*" /> <a href="?dir='. $folder['id'] .'">'.$folder['name'].'</a> ('. mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` WHERE `url` like '%". $folder['id'] ."%'"), 0) .')</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b><big>Папок пока еще нет!</big></b></center></div>';
if($k_page > 1) echo str('?dir='.$dir['id'].'&',$k_page,$page); // Вывод страниц


if($user['level'] == 3) {
echo '<div class="menudiv"><a href="'.$HOME.'/down/adddir'.$dir['id'].'" class="k_menu"><img src="'.$HOME.'/images/add.png" alt="*"/> Добавить папку</div></a>';

if($dir['id'] != 0) {
echo '<div class="menudiv"><a href="'.$HOME.'/down/deldir'.$dir['id'].'" class="k_menu"><img src="'.$HOME.'/images/delete.png" alt="*" /> Удалить папку</div></a>';
}

echo '</div>';
}
}

if ($dir['files'] != 0) {

require_once ('panel.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` WHERE `id_dir` = '".$dir['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$query = mysql_query("SELECT * FROM `load_file` WHERE `id_dir` = '".$dir['id']."' ORDER BY `id` DESC LIMIT $start, $max");
while ($file = mysql_fetch_assoc($query)) {
$array = explode(" ", $file['about']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';
echo '<div class="podmenu"><img src="'.$HOME.'/images/load/'.$file['format'].'.png" alt="*" /> <a href="'.$HOME.'/down/file'.$file['id'].'">'.$file['name'].'</a>
<br />'.$text_v.'</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b><big>Файлов пока еще нет!</big></b></center></div>';

echo '<div class="menudiv"><a href="'.$HOME.'/down/addfiles'.$dir['id'].'" class="k_menu"><img src="'.$HOME.'/images/add.png" alt="*" /> Добавить файл</div></a>
<div class="menudiv"><a href="'.$HOME.'/down/addfiles_import'.$dir['id'].'" class="k_menu"><img src="'.$HOME.'/images/fileimport.png" alt="*" /> Импортировать файл </div></a>';

if($dir['id'] != 0 and $user['level'] == 3) {
echo '<div class="menudiv"><a href="'.$HOME.'/down/deldir'.$dir['id'].'" class="k_menu"><img src="'.$HOME.'/images/delete.png" alt="*" /> Удалить папку</div></a>';
}

if($k_page > 1) echo str('?dir='. $dir['id'] .'&',$k_page,$page); // Вывод страниц
}

break;
case 'adddir':

$direktor = abs(intval($_GET['id']));
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_dir` WHERE `id` = '".$direktor."'"), 0);

if($user['level'] < 1 && $user['id']) {
echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>У вас недостаточно прав для просмотра данной страницы!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!isset($_GET['id']) || isset($_GET['id']) && $direktor != 0 && $count == 0) {
header('location: '.$HOME.'/down/');
exit();
}

$dir['id'] = '0';
$dir['id_dir'] = '0';
$dir['files'] = '0';
$dir['url'] = '';

if(isset($_GET['id']) && $direktor != 0) {
$dir = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_dir` WHERE `id` = '".$direktor."' LIMIT 1"));
}

if($dir['files'] != 0) {
header('location: '.$HOME.'/down/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Добавление папки</div>';

if (isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);

$maxsize = 2; // Максимальный размер файла,в мегабайтах
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b><big>Вы не выбрали файл!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b><big>Максимальный размер файла '.$maxsize.'мб!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' );
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1);

/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b><big>К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$filesload = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name'];

if (empty($name)) {
echo '<div class="podmenu"><center><b><big>Введите название папки!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($name) > 50 or mb_strlen($name) < 3) {
echo '<div class="podmenu"><center><b><big>Минимум 3 и максимум 50 символов для ввода!!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

$files = '0';
if (isset($_POST['files'])) {
$files = '1';
}

if ($dir['id'] != 0) {
mysql_query("INSERT INTO `load_dir` (`icon`, `id_dir`, `url`, `name`, `files`) VALUES ('".$filesload."', '". $dir['id'] ."', '". $dir['url'] ."/". $dir['id'] ."', '". $name ."', '". $files ."')");
/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/load_icon/".$filesload."");
} else {
mysql_query("INSERT INTO `load_dir` (`icon`, `id_dir`, `url`, `name`, `files`) VALUES ('".$filesload."', '". $dir['id'] ."', '". $dir['id'] ."', '".$name ."', '". $files ."')");
/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/load_icon/".$filesload."");
}

header('location: '.$HOME.'/down/?dir='.$dir['id'].'');
exit();
}

echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data">
*Название:<br /><input type="text" name="name"><br />
*Выберите файл:<br><input type="file" name="filename"/><br>
Выгрузка файлов: <input type="checkbox" name="files" /><br />
<input type="submit" name="submit" value="Добавить"><br />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/down" class="k_menu">Назад</div></a>';

break;
case 'addfiles_import':

$direktor = abs(intval($_GET['id']));
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_dir` WHERE id = '".$direktor."'"), 0);

if(!isset($_GET['id']) || isset($_GET['id']) && $direktor != 0 && $count == 0) {
header('location: '.$HOME.'/down/');
exit();
}

$dir['id'] = '0';
$dir['id_dir'] = '0';
$dir['name'] = 'Загрузки';
$dir['files'] = '0';

if(isset($_GET['id'])) {
$dir = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_dir` WHERE id = '".$direktor."' LIMIT 1"));
}

if($dir['files'] != 1) {
header('location: '.$HOME.'/down/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Импорт файла</div>';

if (isset($_REQUEST['submit'])) {

$about = strong($_POST['about']);
$name = strong($_POST['name']);
$url = strong($_POST['url']);

if(empty($name)) {
echo '<div class="podmenu"><center><b><big>Введите название файла!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($name) < 3) {
echo '<div class="podmenu"><center><b><big>Минимум для ввода 3 символа!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($opis)) {
echo '<div class="podmenu"><center><b><big>Введите описание файла!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($opis) < 3) {
echo '<div class="podmenu"><center><b><big>Минимум для ввода 3 символа!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Проверка на существование файла */
if (!@fopen($url, 'r')) {
echo '<div class="podmenu"><center><b><big>Файл не найден!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

$info_url = pathinfo($url);
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', '3gp', 'mp4', 'mp3', 'flv', 'zip', 'rar' );

/* Если тип файла не подходит */
if(!in_array($info_url['extension'],$filetype)) {
header('location: '.$HOME.'/down/');
exit();
}

$files = ''.rand(1234,5678).'_'.rand(1234,5678).'_StrongCMS.'.$info_url['extension'];

if(!copy($url, '../files/down/'.$files.'')) {
echo '<div class="podmenu"><center><b><big>Ошибка при импорте!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `load_file` SET `avtor` = '".$user['id']."', `time` = '".time()."', `id_dir` = '".$dir['id']."', `name` = '".$name."', `format` = '".$info_url['extension']."', `about` = '".$opis."', `url` = '".$dir['url'] ."/".$dir['id']."', `files` = '".$files."'");
$insert = mysql_insert_id();
header('Location: '.$HOME.'/down/file'.$insert.'');
exit();
}

echo '<div class="podmenu"><form action="" method="POST">
*Название:<br /><input type="text" name="name" maxlength="50" /><br />
*Описание:<br /><textarea name="opis"></textarea><br />
*URL:<br /><input type="text" name="url" maxlength="50" /><br />
<input type="submit" name="submit" value="Загрузить">
</form></div>';

break;
case 'addfiles':

$direktor = abs(intval($_GET['id']));
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_dir` WHERE id = '".$direktor."'"), 0);

if(!isset($_GET['id']) || isset($_GET['id']) && $direktor != 0 && $count == 0) {
header('location: '.$HOME.'/down/');
exit();
}

$dir['id'] = '0';
$dir['id_dir'] = '0';
$dir['name'] = 'Загрузки';
$dir['files'] = '0';

if(isset($_GET['id'])) {
$dir = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_dir` WHERE id = '".$direktor."' LIMIT 1"));
}

if($dir['files'] != 1) {
header('location: '.$HOME.'/down/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Добавление файла</div>';

if(isset($_REQUEST['submit'])) {

$about = strong($_POST['about']);
$name = strong($_POST['name']);


if(empty($name)) {
echo '<div class="podmenu"><center><b><big>Введите название файла!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($name) < 3) {
echo '<div class="podmenu"><center><b><big>Минимум для ввода 3 символа!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($about)) {
echo '<div class="podmenu"><center><b><big>Введите описание файла!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($about) < 3) {
echo '<div class="podmenu"><center><b><big>Минимум для ввода 3 символа!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

$maxsize = 25; // Максимальный размер файла,в мегабайтах
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b><big>Вы не выбрали файл!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b><big>Максимальный размер файла '.$maxsize.'мб!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', '3gp', 'mp4', 'mp3', 'flv', 'zip', 'rar' );
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1);

/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b><big>Такой формат запрещено загружать!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name'];

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/down/".$files."");

/* Делаем запрос */
mysql_query("INSERT INTO `load_file` SET `avtor` = '".$user['id']."', `time` = '".time()."', `id_dir` = '".$dir['id']."', `name` = '".$name."', `format` = '".$upfiletype."', `about` = '".$about."', `url` = '".$dir['url'] ."/".$dir['id']."', `files` = '".$files."'");
$insert = mysql_insert_id();
header('Location: '.$HOME.'/down/file'.$insert.'');
exit();
}

echo '<div class="podmenu"><form method="post" enctype="multipart/form-data" name="message">
*Название:<br /><input type="text" name="name" maxlength="50" /><br />
*Выберите файл:<br /><input type="file" name="filename"><br />
*Описание:<br /><textarea name="about"></textarea><br />
<input type="submit" name="submit" value="Загрузить">
</form></div>';

break;
case 'file':

$id = abs(intval($_GET['id']));
$load = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_file` WHERE `id` = '".$id."'"));

if(!isset($load['id'])) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>Нет такого файла</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

##### Удаляем файл #####
if(isset($_REQUEST['delfile'])) {

if($user['level'] < 1 && $user['id'] != $load['avtor']) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>У вас недостаточно прав для просмотра данной страницы!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("DELETE FROM `load_file` WHERE `id` = '".$id."'");
mysql_query("DELETE FROM `load_com` WHERE `file` = '".$id."'");
header('Location: '.$HOME.'/down/?dir='.$load['id_dir'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | '.$load['name'].'</div>
<div class="podmenu"><img src="'.$HOME.'/images/load/'.$load['format'].'.png" alt="*" /> <a href="'.$HOME.'/down/file'.$id.'">'.$load['name'].'</a></div>';

##### Изменяем файл #####
if($user['level'] >= 1 or $user['id'] == $load['avtor']) {
echo '<div class="podmenu"><center><a href="'.$HOME.'/down/file'.$id.'?delfile">Удалить</a> | <a href="'.$HOME.'/down/upfile'.$id.'">Изменить</a></center></div>';
}

echo '<div class="podmenu"><b>Название:</b> '.$load['name'].'</div>
<div class="podmenu">'.nl2br(smile(bb($load['about']))).'</div>
<div class="podmenu"><b>Загрузил:</b> '.nick($load['avtor']).' ('.vremja($load['time']).')</div>
<div class="links"><img src="'.$HOME.'/images/load_ok.png" alt="*" /> <a href="'.$HOME.'/files/down/'.$load['files'].'">Скачать '.$load['files'].'</a></div>';
echo '<div class="links">Ссылка на файл :<br /><textarea name="Name" rows=1 cols=50% wrap="on">'.$HOME.'/down/file'.$load['id'].'</textarea><br />';
echo 'Импорт файла :<br /><textarea name="Name" rows=1 cols=50% wrap="on">'.$HOME.'/files/down/'.$load['files'].'</textarea></div>';
$reit_a = mysql_fetch_array(mysql_query('select * from `load_reit` where `file` = '.$id.' and `kto` = "'.$user['id'].'"'));

$reit = mysql_result(mysql_query('select count(`id`) from `load_reit` where `file`= "'.$id.'" and `r` = "1"'),0)
-
mysql_result(mysql_query('select count(`id`) from `load_reit` where  `file`= "'.$id.'" and `r` = "2"'),0);

echo '<div class="podmenu"><div class="divnews">Рейтинг: ';

if($reit < 0) echo '<font color="red"><b>'.$reit.'</b></font>';
if($reit == 0) echo '<font color="red"><b>0</b></font>';
if($reit > 0) echo '<font color="green"><b>'.$reit.'</b></font>';

echo ' (+'.mysql_result(mysql_query("SELECT COUNT(id) FROM `load_reit` WHERE `r` = '1' and `file` = '".$id."'"),0).'/-'.mysql_result(mysql_query("SELECT COUNT(id) FROM `load_reit` WHERE `r` = '2' and `file` = '".$id."'"),0).')<br />';

if($user['id'] != $load['avtor'] && $reit_a == 0) {
echo '(<a href="'.$HOME.'/down/plus_file'.$id.'"><img src="'.$HOME.'/images/plus.gif" alt="*" /></a>
Плюс / Минус
<a href="'.$HOME.'/down/minus_file'.$id.'"><img src="'.$HOME.'/images/minus.gif" alt="*" /></a>)';
} else {
echo '(<img src="'.$HOME.'/images/plus.gif" alt="*" /> Плюс / Минус <img src="'.$HOME.'/images/minus.gif" alt="*" />)';
}

echo '<br />
<a href="'.$HOME.'/down/comment'.$id.'">Комментарии</a>: ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `load_com` WHERE `file` = '".$id."'"),0).')
</div></div>';

break;
case 'plus_file':

$id = abs(intval($_GET['id']));
$down = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_file` WHERE `id` = '".$id."'"));
$down_r = mysql_fetch_array(mysql_query('select * from `load_reit` where `file` = '.$id.' and `kto` = "'.$user['id'].'"'));

if($user['id'] != $down['avtor'] && $down_r == 0) {
mysql_query("INSERT INTO `load_reit` SET `file` = '".$id."', `kto` = '".$user['id']."', `r` = '1' ");
header('Location: '.$HOME.'/down/file'.$id.'');
exit();
} else {
header('Location: '.$HOME.'/down/file'.$id.'');
exit();
}

break;
case 'minus_file':

$id = abs(intval($_GET['id']));
$down = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_file` WHERE `id` = '".$id."'"));
$down_r = mysql_fetch_array(mysql_query('select * from `load_reit` where `file` = '.$id.' and `kto` = "'.$user['id'].'"'));

if($user['id'] != $down['avtor'] && $down_r == 0) {
mysql_query("INSERT INTO `load_reit` SET `file` = '".$id."', `kto` = '".$user['id']."', `r` = '2' ");
header('Location: '.$HOME.'/down/file'.$id.'');
exit();
} else {
header('Location: '.$HOME.'/down/file'.$id.'');
exit();
}

break;
case 'upfile':

$id = abs(intval($_GET['id']));
$load = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_file` WHERE `id` = '".$id."'"));

if(!isset($load['id'])) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>Нет такого файла!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 1 && $user['id'] != $load['avtor']) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>У вас недостаточно прав для просмотра данной страницы!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Редактировать файл</div>';

if(isset($_REQUEST['ok'])) {

$name = strong($_POST['name']);
$about = strong($_POST['about']);

if(empty($name) or empty($about) or mb_strlen($name) < 3 or mb_strlen($about) < 3) {
echo '<div class="podmenu"><center><b><big>Ошибка ввода ,минимум 3 символа!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `load_file` SET `name` = '".$name."', `about` = '".$about."' WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/down/file'.$id.'');
exit();
}

echo '<div class="podmenu">
<form action="" method="POST">
*Название:<br /><input type="text" name="name" maxlength="50" value="'.$load['name'].'" /><br />
*Описание:<br /><textarea name="about">'.$load['about'].'</textarea><br />
<input type="submit" name="ok" value="Изменить" />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/down/file'.$id.'" class="k_menu">Назад к файлу</div></a>';

break;
case 'deldir':

$id = abs(intval($_GET['id']));

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_dir` WHERE `id` = '".$id."'"), 0);
if(!isset($_GET['id']) || isset($_GET['id']) && $id != 0 && $count == 0) {
header('location: '.$HOME.'/down/');
exit();
}

if($user['level'] != 3) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>У вас недостаточно прав для просмотра данной страницы!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

$dir['id'] = '0';
$dir['id_dir'] = '0';
$dir['files'] = '0';
$dir['url'] = '';

if(isset($_GET['id']) && $id != 0) {
$dir = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_dir` WHERE `id` = '".$id."'"));
}

if(isset($_REQUEST['okda'])) {

$sql = mysql_query("SELECT * FROM `load_file` WHERE `id_dir` = '".$dir['id']."' ");

mysql_query("DELETE FROM `load_dir` WHERE `id` = '".$dir['id']."'");
mysql_query("DELETE FROM `load_file` WHERE `id_dir` = '".$dir['id']."'");

unlink('../files/load_icon/'.$dir['icon'].'');

while($fls = mysql_fetch_assoc($sql)){
unlink('../files/down/'.$fls['files'].'');
}

header('Location: '.$HOME.'/down/');
exit();
}

echo '<div class="title"><a href="/down/">Загрузки</a> | Удалить папку</div>
<div class="podmenu">Вы действительно хотите удалить этот раздел?<br /><a href="'.$HOME.'/down/deldir'.$dir['id'].'?okda">Да</a></div>';

break;
case 'search':

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Поиск файлов</div>
<div class="podmenu">Вводите название файла от 2-х до 100-а символов!</div>
<div class="podmenu"><form action="" method="POST">
*Название файлы:<br /><input type="text" name="met" maxlength="100" /><br />
<input type="submit" name="ok" value="Искать" />
</form></div>';

if(isset($_REQUEST['ok'])) {

$met = strong($_POST['met']);

if(empty($met)) {
echo '<div class="podmenu"><center><b><big>Введите название файла!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(strlen($met) < 2 or mb_strlen($met) > 100) {
echo '<div class="podmenu"><center><b><big>Введите название от 2-х до 100-а символов!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><img src="'.$HOME.'/design/gradient/lol.png" alt="*" />Результаты поиска:</div>';

$search = mysql_query("SELECT * FROM `load_file` where `name` LIKE '%".$met."%' ORDER BY `time` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` where `name` LIKE '%".$met."%' "),0);
while($s = mysql_fetch_assoc($search))
{

$array = explode(" ", $s['about']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';

echo '<div class="podmenu"><img src="'.$HOME.'/images/load/'.$s['format'].'.png" /> <a href="'.$HOME.'/down/file'.$s['id'].'">'.$s['name'].'</a><div class="news">'.$text_v.'</div></div>';
}
}

/* Если никого на нашли */
if($sql == 0) echo '<div class="podmenu"><center><b><big>По вашему запросу ничего не найдено!</big></b></center></div>';
/* Если никого на нашли */

break;
case 'myfile':

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Мои файлы</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` WHERE `avtor` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

echo '<div class="links">Всего ваших файлов: <b>'.$k_post.'</b></div>';

$sql = mysql_query("SELECT * FROM `load_file` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($s = mysql_fetch_assoc($sql))
{

$array = explode(" ", $s['about']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';

echo '<div class="podmenu"><img src="'.$HOME.'/images/load/'.$s['format'].'.png" alt="*" /> <a href="'.$HOME.'/down/file'.$s['id'].'">'.$s['name'].'</a>
<br /><div class="divnews">'.$text_v.'</div></div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b><big>Ваших файлов пока нет!</big></b></center></div>';
if($k_page>1) echo str('/load/search?',$k_page,$page); // Вывод страниц

break;
case 'comment':

/* Делаем запрос для вывода */
$id = abs(intval($_GET['id']));
$comm = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_file` WHERE `id` = '".$id."'"));

if($comm == 0) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><b><center><big>Такого файла нет!</big></center></b></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Комментарии</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['add'])) {

$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b><big>Вы не ввели сообщение!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b><big>Сообщение содержит меньше 3-х символов!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `load_com` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b><big>Вы такой пост уже писали!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Антиспам */
$tim = mysql_query("SELECT * FROM `load_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)) {
$down_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `down` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $down_antispam['down']) {
echo '<div class="podmenu"><center><b><big>Пишите не чаще чем раз в '.$down_antispam['down'].' секунд!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

/* Делаем запрос*/
mysql_query("INSERT INTO `load_com` SET `msg` = '".$msg."', `avtorlogin` = '".$user['login']."', `avtor` = '".$user['id']."', `time` = '".time()."', `file` = '".$id."'");
if($user['id'] != $comm['avtor']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$comm['avtor']."', `kto` = '".$user['id']."', `text` = 'оставил комментарий к вашему [url=".$HOME."/down/comment".$id."]файлу[/url]'");
}
header('Location: '.$HOME.'/down/comment'.$id.'');
exit();
}

echo '<div class="podmenu"><form method="POST" action="">
*Сообщение:<br /><textarea name="msg"></textarea><br />
<input type="submit" name="add" value="Написать">
</div></form>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_com` WHERE `file` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$com = mysql_query("SELECT * FROM `load_com` WHERE `file` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");
while($c = mysql_fetch_assoc($com))
{
if($user['level'] >= 1) $ddel = '[<a href="/down/delcom_'.$c['id'].'">уд</a>]';
echo '<div class="links">'.nick($c['avtor']).' ('.vremja($c['time']).') '.$ddel.'';

if($user['id'] != $c['avtor']) echo '[<a href="/down/otvet_'.$c['id'].'">отв</a>]';

echo '</div>
<div class="podmenu">'.smile(bb($c['msg'])).'</div>';
}

/* Если сообщений еще нету*/
if($k_post < 1) echo '<div class="podmenu"><center><b><big>Сообщений пока еще нет!</big></b></center></div>';
if($k_page>1) echo str('comment'.$id.'?',$k_page,$page); // Вывод страниц

echo '<div class="menudiv"><a href="'.$HOME.'/down/file'.$id.'" class="k_menu">Назад к файлу</div></a>';

break;
case 'delcom':

/* Делаем запрос для удаления */
$id = abs(intval($_GET['id']));
$comm = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_com` WHERE `id` = '".$id."'"));

if($comm == 0 or $user['level'] < 1) {
header('Location: '.$HOME.'');
exit();
}

/* Удаляем */
if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `load_com` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/down/comment'.$comm['file'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Удалить комментарий</div>
<div class="podmenu">Вы действительно хотите удалить этот комментарий?<br /><a href="'.$HOME.'/down/delcom_'.$id.'?ok">Да</a></div>';

break;
case 'otvet':

/* Делаем запрос для вывода */
$id = abs(intval($_GET['id']));
$comm = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_com` WHERE `id` = '".$id."'"));

if($comm == 0) {
echo '<div class="title"><a href="'.$HOME.'/down/">Загрузки</a> | Ошибка</div>
<div class="podmenu"><center><b><big>Такого сообщения нет!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] == $comm['avtor']) {
header('Location: /down/comment'.$comm['file'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ответ</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

/* Фильтрация и вывод ошибки */
$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b><big>Вы не ввели сообщение!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Вывод ошибки */
if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b><big>Сообщение содержит меньше 3-х символов!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Антиспам */
$tim = mysql_query("SELECT * FROM `load_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)) {
$down_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `down` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $down_antispam['down']) {
echo '<div class="podmenu"><center><b><big>Пишите не чаще чем раз в '.$down_antispam['down'].' секунд!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

/* Делаем запрос */
mysql_query("INSERT INTO `load_com` SET `msg` = '[b]".$comm['avtorlogin'].",[/b]".$msg."', `avtorlogin` = '".$users['login']."', `avtor` = '".$user['id']."', `time` = '".time()."', `file` = '".$comm['file']."'");
/* Уведомляем */
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$comm['avtor']."', `kto` = '".$user['id']."', `text` = 'ответил на Ваш комментарий к [url=".$HOME."/down/comment".$comm['file']."]файлу[/url]'");
header('Location: /down/comment'.$comm['file'].'');
exit();
}

echo '<div class="podmenu">Ответ: '.nick($comm['avtor']).'</div><div class="podmenu"><form action="" method="POST">
*Сообщение:<br /><textarea name="msg" ></textarea><br />
<input type="submit" name="submit" value="Ответить" />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/down/comment'.$comm['file'].'" class="k_menu">Назад к файлу</div></a>';

break;
case 'mycom':

echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Мои комментарии</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_com` WHERE `avtor` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$com = mysql_query("SELECT * FROM `load_com` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($c = mysql_fetch_assoc($com))
{
$fil = mysql_fetch_assoc(mysql_query("SELECT * FROM `load_file` WHERE `id` = '".$c['file']."' LIMIT 1"));
echo '<div class="links">'.nick($c['avtor']).' ('.vremja($c['time']).')</div>
<div class="podmenu">'.smile(bb($c['msg'])).' =(к файлу)=> <a href="'.$HOME.'/down/file'.$fil['id'].'">'.$fil['name'].'</a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b><big>Пусто!</big></b></center></div>';
if($k_page>1) echo str('/down/mycom/?',$k_page,$page); // Вывод страниц

break;
}

require_once ('../system/footer.php');
?>